#include "Scene.h"
#include "Entity.h"
#include "Components.h"
Scene::Scene()
{
	m_registry = entt::basic_registry();
}

Scene::~Scene()
{}

Entity Scene::AddEntity(std::string name)
{
	Entity entity = { m_registry.create(), this };

	auto& ident = entity.AddComponent<BarinkEngine::IdentifierComponent>();
	ident.name = name;
	entity.AddComponent<BarinkEngine::TransformComponent>();


	return entity;
}

